import AppIndexViewLayout from './app-index-view-layout';
import DEGridView from './view-layout-model-repository/view-layout-model-repository-de-grid-view-layout';
import DEEditView from './view-layout-model-repository/view-layout-model-repository-de-edit-view-layout';
import DEListView from './view-layout-model-repository/view-layout-model-repository-de-list-view-layout';
import DEDataView from './view-layout-model-repository/view-layout-model-repository-de-data-view-layout';
import DEOptView from './view-layout-model-repository/view-layout-model-repository-de-option-view-layout';

/**
 * 安装视图默认布局
 *
 * @author chitanda
 * @date 2023-04-28 15:04:37
 * @export
 * @param {(key: string, model: any) => void} callBack
 */
export function install(callBack: (key: string, model: any) => void): void {
  callBack('APPINDEXVIEW_DEFAULT', AppIndexViewLayout);
  callBack('DEGRIDVIEW_DEFAULT', DEGridView);
  callBack('DEEDITVIEW_DEFAULT', DEEditView);
  callBack('DELISTVIEW_DEFAULT', DEListView);
  callBack('DEDATAVIEW_DEFAULT', DEDataView);
  callBack('DEOPTVIEW_DEFAULT', DEOptView);
}